summaryrefslogtreecommitdiffstats
path: root/os-plugins/plugins/xserver/files
diff options
context:
space:
mode:
authorVolker Uhrig2008-08-20 19:41:08 +0200
committerVolker Uhrig2008-08-20 19:41:08 +0200
commit2b66d23a36732926d598de400b601437927bfe3f (patch)
tree87a3db4660fdb8d05f42afd31b888d3605210768 /os-plugins/plugins/xserver/files
parentUpdated README of xserver-Plugin and changed ati/nvidia-extraction scripts (diff)
downloadcore-2b66d23a36732926d598de400b601437927bfe3f.tar.gz
core-2b66d23a36732926d598de400b601437927bfe3f.tar.xz
core-2b66d23a36732926d598de400b601437927bfe3f.zip
* added ati-install-dev.sh
- based on Bastians ati-install.sh, but made it more straight readable - prepared for kernel compilation (need to be fixed... we should use Makefile) - need to copy needed libs etc out of it This way we won't need rpm2cpio or similiar stuff and will get sure it will also run other Distros as the given SuSE * minor fix in *-install.sh: changed shell * minor fix in README: added linebreaks for lines >= 80 git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@2066 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'os-plugins/plugins/xserver/files')
-rw-r--r--os-plugins/plugins/xserver/files/README16
-rwxr-xr-xos-plugins/plugins/xserver/files/ati-install-dev.sh96
-rwxr-xr-xos-plugins/plugins/xserver/files/ati-install.sh2
-rwxr-xr-xos-plugins/plugins/xserver/files/nvidia-install.sh2
4 files changed, 109 insertions, 7 deletions
diff --git a/os-plugins/plugins/xserver/files/README b/os-plugins/plugins/xserver/files/README
index 129f200d..0c4d9971 100644
--- a/os-plugins/plugins/xserver/files/README
+++ b/os-plugins/plugins/xserver/files/README
@@ -9,17 +9,22 @@ Most are identical, even when 64bit packages have a different name
Only a couple of cards have its own special package. We need to
investigate, if they are different or one package works for all.
-It seems - only for the FireMV 2200 PCI graphics card, they offer an older version (8.25) of the unified fglrx-driver. For the FirMV PCIE-Card they offer a more recent Version (8.5).
+It seems - only for the FireMV 2200 PCI graphics card, they offer an older
+version (8.25) of the unified fglrx-driver. For the FirMV PCIE-Card they
+offer a more recent Version (8.5).
By the time of writing the drivers were at version 8.7
From the ATI-FAQ:
Q2: Which ATI graphics cards can use this driver?
-A2: The ATI Proprietary Linux driver currently supports Radeon 8500 and later AGP or PCI Express graphics products, as well as ATI FireGL 8700 and later products. We do not currently plan to include support for any products earlier than this.
+A2: The ATI Proprietary Linux driver currently supports Radeon 8500 and
+later AGP or PCI Express graphics products, as well as ATI FireGL 8700
+and later products. We do not currently plan to include support for any
+products earlier than this.
Support for earlier graphics card can be achieved by "radeon" or "ati" drivers!
-===================================================================================
+===============================================================================
Infos about nvidia packages:
they seem to differ much more as ati if you search directly for a
@@ -35,7 +40,8 @@ For the 173.14.12-NVIDIA-Driver go to
http://www.nvidia.com/object/linux_display_ia32_173.14.12.html
and click on "Supported Products List" on the right side
-(below each unified driver a line to symbolize the evolution of drivers - correct me if I'm wrong)
+(below each unified driver a line to symbolize the evolution of
+ drivers - correct me if I'm wrong)
173.14.12 driver: GeForce FX 5100 & all newer supported
|---------------------------------->
@@ -50,7 +56,7 @@ driver package for his needs - almost the same interfaces for the installer...
-==================================================================================
+===============================================================================
Taken from the readme on
http://us.download.nvidia.com/XFree86/Linux-x86/96.43.07/README/README.txt
diff --git a/os-plugins/plugins/xserver/files/ati-install-dev.sh b/os-plugins/plugins/xserver/files/ati-install-dev.sh
new file mode 100755
index 00000000..7df17898
--- /dev/null
+++ b/os-plugins/plugins/xserver/files/ati-install-dev.sh
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+sh
+
+cd /opt/openslx/plugin-repo/xserver
+
+# check if its already installed
+if [ -d ati/ ]; then
+ echo " * ati driver seems to be installed"
+ echo " If you want to reinstall ati drivers press \"y\" or else we will exit"
+ read
+ if [ "${REPLY}" != "y" ]; then
+ echo " * ati is already installed. Nothing to do."
+ exit
+ fi
+ echo " * ati drivers will be reinstalled"
+ echo " * deleting old files"
+ rm -rf ati/
+fi
+
+#TODO: check if we have ati files available (and not just nvidia's)
+FILE_ATI=$(ls packages/ati-driver-installer*.run|sort|tail -n 1)
+VERSION=$(head ${FILE_ATI} | grep "label=" | sed -e 's,.*Driver-\(.*\)",\1,g')
+
+mkdir ati
+cd ati
+
+#TODO: here we should do filecheck
+#../${FILE_ATI} --check
+
+# extract ati file
+../${FILE_ATI} --extract ./temp/ > /dev/null
+
+# we try to build the modules on our own. Perhaps we don't need all the
+# packages and distribution stuff
+cd temp/common/lib/modules/fglrx/build_mod
+# faking environment
+uname_r=$(ls /boot/vmlinuz*|grep -v -e "^/boot/vmlinuz$$"|sed 's,/boot/vmlinuz-,,'|sort|tail -n 1)
+sed -i "s,^uname_r.*$,uname_r=${uname_r}," make.sh
+sed -i "s,kernel_release=.*,kernel_release=${uname_r}," make.sh
+#uname -m: just x86_64 and ia64 will get checked. till we support 64bit
+# we'll use i386
+sed -i "s,^uname_m.*$,uname_m=i686," make.sh
+sh make.sh
+
+
+# handle operating system
+# firs we try it with a random suse one... perhaps it fit all our needs
+# TODO: do we really need to know the specific distribution?
+# TODO: get it from stage1
+#case "$SYSNAME" in
+# "suse-10.2")
+# PKGNAME="SuSE/SUSE102-IA32"
+# ;;
+# "ubuntu")
+# PKGNAME="Ubuntu/7.10"
+# ;;
+# *)
+# echo " * failed to identify Distribution. Exit."
+# exit
+# ;;
+#esac
+
+# install
+#cd ./temp/
+#
+#./ati-installer.sh ${VERSION} --buildpkg ${PKGNAME} 2>&1 > ../out.txt
+#cd ..
+#
+#if [ "$(grep 'successfully generated' out.txt | wc -l)" -eq 1 ]; then
+# echo "System package extracted from driver archive..."
+#
+# if [ ! -d $INSTFOLDER ]; then
+# mkdir -p $INSTFOLDER
+# fi
+# PKG=$(grep "successfully generated" out.txt | cut -d' ' -f2)
+#
+# # look for the last three letters in $PKG
+# case ${PKG: -3} in
+# rpm)
+# rpm2cpio ${PKG} | cpio -i --make-directories 2>&1 > /dev/null
+# ;;
+# deb)
+# # Do something
+# ;;
+# tgz|.gz)
+# tar -zxf ${PKG} 2>&1 > /dev/null
+# ;;
+# *)
+# # Do something as default
+# echo "System Package format not recognized!"
+# exit 1
+# ;;
+# esac
+#fi
+#rm -rf out.txt
diff --git a/os-plugins/plugins/xserver/files/ati-install.sh b/os-plugins/plugins/xserver/files/ati-install.sh
index cf2c4aa8..c01be35c 100755
--- a/os-plugins/plugins/xserver/files/ati-install.sh
+++ b/os-plugins/plugins/xserver/files/ati-install.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
##########################################################
# This file is responsible to extract system packages
diff --git a/os-plugins/plugins/xserver/files/nvidia-install.sh b/os-plugins/plugins/xserver/files/nvidia-install.sh
index 082fe774..2d50bb1c 100755
--- a/os-plugins/plugins/xserver/files/nvidia-install.sh
+++ b/os-plugins/plugins/xserver/files/nvidia-install.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
set -x